> For the complete documentation index, see [llms.txt](https://docs.underdogprotocol.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.underdogprotocol.com/resources/projects/nfts/create-an-nft.md).

# Create an NFT

{% openapi src="/files/Pk3kQO4TRFPtHxdRaylw" path="/v2/projects/:transferable/:projectId/nfts" method="post" expanded="true" %}
[swagger.json](https://1812349639-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FMfCqNbNtOQjchD3WfXFA%2Fuploads%2FgiPrImYB9aPmeW2JefRr%2Fswagger.json?alt=media\&token=ba7a249c-f47f-488d-8358-e430bd040504)
{% endopenapi %}

## Example

{% tabs %}
{% tab title="cURL" %}

```bash
curl --location --request POST 'https://dev.underdogprotocol.com/v2/projects/n/4/nfts' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "LeGoat",
    "image": "https://sportshub.cbsistatic.com/i/r/2023/02/08/aa0a798f-6268-41ba-9be4-ea4ee03fd817/thumbnail/1200x675/421458d6419a36da2aaad75e10b2e347/king.jpg",
    "attributes": {
        "points": "38390"
    }
}'
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const axios = require('axios');
let data = JSON.stringify({
  "name": "LeGoat",
  "image": "https://sportshub.cbsistatic.com/i/r/2023/02/08/aa0a798f-6268-41ba-9be4-ea4ee03fd817/thumbnail/1200x675/421458d6419a36da2aaad75e10b2e347/king.jpg",
  "attributes": {
    "points": "38390"
  }
});

let config = {
  method: 'post',
  url: 'https://dev.underdogprotocol.com/v2/projects/n/4/nfts',
  headers: { 
    'Authorization': 'Bearer {token}', 
    'Content-Type': 'application/json'
  },
  data : data
};

axios(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

```

{% endtab %}
{% endtabs %}

{% code title="Response" %}

```json
{
    "transactionId": "c3f66040-89f2-4692-9987-e7d0465179ab",
    "mintAddress": "Dic1tC9yBhaDerQpV8ZBAsruBUKQsRWtCWysG965ADWi"
}
```

{% endcode %}
